### Navigation

- index
- modules |
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »

# Module: `nbconvert.writers.base`

Contains writer base class.

## 1 Class

class `IPython.nbconvert.writers.base.``WriterBase`(config=None, **kw)

  Bases: `IPython.nbconvert.utils.base.NbConvertBase`

  Consumes output from nbconvert export...() methods and writes to a useful location.

  `__init__`(config=None, **kw)

    Constructor

  `write`(output, resources, **kw)

    Consume and write Jinja output.

    Parameters :

    output : string

    > Conversion results. This string contains the file contents of the converted file.

    resources : dict

    > Resources created and filled by the nbconvert conversion process. Includes output from preprocessors, such as the extract figure preprocessor.

### Navigation

- index
- modules |
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »